Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.framework.jca.system
Class STCManagedConnectionMetaData

    java.lang.Object
      com.stc.connector.framework.jca.system.STCManagedConnectionMetaData

All Implemented Interfaces:
  javax.resource.spi.ManagedConnectionMetaData

public class STCManagedConnectionMetaData
extends java.lang.Object
implements javax.resource.spi.ManagedConnectionMetaData

This class implementing the ManagedConnectionMetaData interface which provides information about the underlying EIS instance associated with a ManagedConnection instance. An application server uses this information to get runtime information about a connected EIS instance.

Version:
  $Revision: 1.2 $
Author:
  James Tran

Constructor Summary
`STCManagedConnectionMetaData(java.lang.String eisProductName, java.lang.String eisProductVersion, int maxConnections, java.lang.String userName)` Constructor for STCManagedConnectionMetaData.

Method Summary
`java.lang.String` | `getEISProductName()` Returns Product name of the underlying EIS instance connected through the ManagedConnection.
`java.lang.String` | `getEISProductVersion()` Returns product version of the underlying EIS instance connected through the ManagedConnection.
`int` | `getMaxConnections()` Returns maximum limit on number of active concurrent connections that an EIS instance can support across client processes.
`java.lang.String` | `getUserName()` Returns name of the user associated with the ManagedConnection instance.
`java.lang.String` | `toString()` Gets the String-ified form of the ManagedConnectionMetaData instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### STCManagedConnectionMetaData

    public STCManagedConnectionMetaData(java.lang.String eisProductName,
                                        java.lang.String eisProductVersion,
                                        int maxConnections,
                                        java.lang.String userName)

  Constructor for STCManagedConnectionMetaData.

Parameters:
  `eisProductName` - The name of the EIS product.
  `eisProductVersion` - The version of the EIS product.
  `maxConnections` - The maximum number of concurrent connections supported by the EIS product.
  `userName` - The default username used for connecting to the EIS.

Method Detail

### getEISProductName

    public java.lang.String getEISProductName()
                                       throws javax.resource.ResourceException

  Returns Product name of the underlying EIS instance connected through the ManagedConnection.

  Specified by:
    `getEISProductName` in interface `javax.resource.spi.ManagedConnectionMetaData`
  Returns:
    Product name of the EIS instance.
  Throws:
    `javax.resource.ResourceException` - upon error.

### getEISProductVersion

    public java.lang.String getEISProductVersion()
                                          throws javax.resource.ResourceException

  Returns product version of the underlying EIS instance connected through the ManagedConnection.

  Specified by:
    `getEISProductVersion` in interface `javax.resource.spi.ManagedConnectionMetaData`
  Returns:
    Product version of the EIS instance.
  Throws:
    `javax.resource.ResourceException` - upon error.

### getMaxConnections

    public int getMaxConnections()
                          throws javax.resource.ResourceException

  Returns maximum limit on number of active concurrent connections that an EIS instance can support across client processes. If an EIS instance does not know about (or does not have) any such limit, it returns a 0.

  Specified by:
    `getMaxConnections` in interface `javax.resource.spi.ManagedConnectionMetaData`
  Returns:
    Maximum limit for number of active concurrent connections.
  Throws:
    `javax.resource.ResourceException` - upon error.

### getUserName

    public java.lang.String getUserName()
                                 throws javax.resource.ResourceException

  Returns name of the user associated with the ManagedConnection instance. The name corresponds to the resource principal under whose whose security context, a connection to the EIS instance has been established.

  Specified by:
    `getUserName` in interface `javax.resource.spi.ManagedConnectionMetaData`
  Returns:
    Name of the user.
  Throws:
    `javax.resource.ResourceException` - upon error.

### toString

    public java.lang.String toString()

  Gets the String-ified form of the ManagedConnectionMetaData instance.

  Returns:
    A String with information regarding the ManagedConnectionMetaData instance.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD